.pricing-container {
    display: flex;
    gap: 2rem;
    justify-content: center;
    align-items: stretch;
    flex-wrap: wrap;
    margin: 1rem 0;
}

.pricing-card {
    width: 340px;
    padding: 20px 20px;
    border-radius: var(--tblr-border-radius);
    text-align: center;
    color: white;
    position: relative;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    box-shadow: 0 8px 32px rgba(0, 0, 0, 0.2);
    overflow: hidden;
    -webkit-backdrop-filter: blur(20px);
    backdrop-filter: blur(20px);
    border: 0px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.pricing-card::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: inherit;
    filter: blur(0px);
    z-index: -1;
}

.pricing-card:hover {
    transform: translateY(-5px);
}

.pricing-card {

    color: var(--text, #F05754);
    background:
        repeating-linear-gradient(135deg, #fff2 0 8px, #0000 8px 16px),
        linear-gradient(var(--c1, #F2FBF7), var(--c2, #f06a68));
}





.plan-title {
    font-size: 1.4rem;
    font-weight: 700;
    margin-bottom: 15px;
    letter-spacing: 2px;
    text-transform: uppercase;
}

.plan-price {
    font-size: 2.5rem;
    font-weight: bolder !important;
    margin-bottom: 30px;
    line-height: 1;
}

.plan-price-container {
    position: relative;
    margin-bottom: 20px;
}

/* plan-price-per-year-label */
.plan-price-per-year-label {
    font-size: 1rem;
    color: rgba(0, 0, 0, 0.8);
    position: absolute;
    top: 8px;
    right: -40px;
}

.plan-features {
    list-style: none;
    padding: 0;
    margin: 5px 0;
    text-align: left;
    font-size: 1rem;
    line-height: 2;
}

.plan-features li {
    display: flex;
    align-items: center;
    margin-bottom: 12px;
    font-weight: 500;
    line-height: 1.5;
}

.plan-features li.enabled {
    color: black;
}

.plan-features li.disabled {
    opacity: 0.7;
    color: rgba(0, 0, 0, 0.7);
}

.plan-features li .icon {
    margin-right: 12px;
    font-size: 1.1rem;
}

.badge-pro {
    background: #EF4444;
    color: white;
    font-size: 0.7rem;
    font-weight: 700;
    padding: 0 8px;
    border-radius: 8px;
    margin-left: 8px;
    text-transform: uppercase;
}

.plan-btn {
    width: 100%;
    padding: 10px 20px;
    border: none;
    border-radius: var(--tblr-border-radius);
    /* background: rgba(255, 255, 255, 0.2); */
    -webkit-backdrop-filter: blur(10px);
    backdrop-filter: blur(10px);
    /* border: 1px solid rgba(255, 255, 255, 0.3); */
    /* color: white; */
    font-size: 1.1rem;
    font-weight: 700;
    cursor: pointer;
    transition: all 0.3s ease;
    margin-top: 20px;
    background: rgba(255, 255, 255, 0.3);
    color: inherit;
}





.plan-btn:hover {
    transform: translateY(-1px);
}

.plan-note {
    margin-top: 15px;
    font-size: 0.9rem;
    opacity: 0.9;
    font-weight: 500;
}

@media (max-width: 768px) {
    .pricing-container {
        flex-direction: column;
        align-items: center;
        gap: 20px;
    }

    .pricing-card {
        width: 100%;

    }
}



.pricing-card.current-plan {

    border: 2px solid var(--tblr-primary);
}

.pricing-card.current-plan::after {
    content: attr(data-current-plan-label, "Current Plan");
    position: absolute;
    top: 0;
    right: 0;
    background: var(--tblr-primary);
    color: var(--tblr-white);
    font-size: 0.75rem;
    font-weight: 700;
    padding: 4px 8px;
    border-radius: 0% 0% 0% var(--tblr-border-radius);
    text-transform: uppercase;
    letter-spacing: 1px;
}

.pricing-card.soon-plan {
    opacity: 0.6;
    /* except for .toggle-expand-list */
    pointer-events: none;
}


.pricing-card.soon-plan .toggle-expand-list {
    pointer-events: auto;
}

.pricing-card.soon-plan::after {
    content: attr(data-soon-label, "Coming Soon");
    position: absolute;
    top: 0;
    right: 0;
    background: var(--tblr-primary);
    color: var(--tblr-white);
    font-size: 0.75rem;
    font-weight: 700;
    padding: 4px 8px;
    border-radius: 0% 0% 0% var(--tblr-border-radius);
    text-transform: uppercase;
    letter-spacing: 1px;
}